Skip to main content
POST
/
products
/
{id}
/
images
Attach a product image by URL
curl --request POST \
  --url https://api.awardee.dev/v1/products/{id}/images \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "sort_order": 4503599627370495
}
'
{
  "object": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "file_url": "<string>",
  "file_name": "<string>",
  "media_type": "<string>",
  "size_bytes": 0,
  "sort_order": 0,
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Path Parameters

id
string<uuid>
required

Body

application/json
url
string<uri>
required

Public URL of the source image. The server stores the image with the product.

sort_order
integer
Required range: 0 <= x <= 9007199254740991

Response

Image attached

object
string
required
Allowed value: "product_image"
id
string<uuid>
required
product_id
string<uuid>
required
file_url
string
required
file_name
string
required
media_type
string
required
size_bytes
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
sort_order
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
created_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$